Skip to content
BleemeoBleemeo

Partially update a widget

PATCH
/v1/widget/{id}/
curl --request PATCH \
--url https://example.com/v1/widget/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "format": "example", "custom_min_step": 1, "dashboard": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "hideable": true, "graph": 0, "graph_subtype": 0, "grid_height": 1, "grid_width": 1, "grid_x": 1, "grid_y": 1, "image": "https://example.com", "interval": 0, "max_value": 1, "metrics": [ { "color": "example", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "metric": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "metric_name": "example", "metric_name_item": "example", "metric_simple_mode_labels": "example", "operation": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "operation_argument1_value": "example", "order": 1, "promql_query": "example", "legend_template": "example" } ], "min_value": 1, "order": 1, "title": "example", "unit": 0, "widgetannotations": [ { "agent": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "description": "example", "end_time": "2026-04-15T12:00:00Z", "outage": true, "start_time": "2026-04-15T12:00:00Z", "title": "example", "widget": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" } ] }'

Update one or more fields of an existing widget.

id
required
string format: uuid

A UUID string identifying this widget.

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
format
string
nullable <= 20 characters
custom_min_step
integer
nullable >= -2147483648 <= 2147483647
dashboard
string format: uuid
default_min_step
string
hideable
boolean
hidden
string
graph
  • 0 - Line Chart
  • 1 - Stacked Area Chart
  • 2 - Pie Chart
  • 3 - Gauge
  • 4 - Status History Chart
  • 5 - Metric Value
  • 6 - Status
  • 8 - Text
  • 9 - Image
  • 10 - Heatmap Status
  • 11 - Bar Chart
integer
>= -2147483648 <= 2147483647
Allowed values: 0 1 2 3 4 5 6 8 9 10 11
graph_subtype
  • 0 - Status Round
  • 1 - Status Smiley
  • 2 - Status Image
  • 100 - Heatmap with Value
  • 101 - Heatmap with Status
integer
nullable >= -2147483648 <= 2147483647
Allowed values: 0 1 2 100 101
grid_height
integer
>= -2147483648 <= 2147483647
grid_width
integer
>= -2147483648 <= 2147483647
grid_x
integer
>= -2147483648 <= 2147483647
grid_y
integer
>= -2147483648 <= 2147483647
id
string format: uuid
image
string format: uri
nullable
interval
  • 0 - 1h
  • 2 - 6h
  • 3 - 1d
  • 4 - 1w
  • 5 - 1m
  • 6 - 1y
integer
>= -2147483648 <= 2147483647
Allowed values: 0 2 3 4 5 6
max_value
number format: double
nullable
metrics
Array<object>

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
color
string
<= 6 characters
id
string format: uuid
nullable
metric
string format: uuid
nullable
metric_agent
required
string format: uuid
metric_description
required
string
metric_display_name
required
string
metric_item
required
string
metric_label
required
string
metric_labels
required
object
key
additional properties
string
metric_name
string
nullable <= 100 characters
metric_name_item
string
nullable <= 100 characters
metric_simple_mode_labels
string
nullable <= 1000 characters
metric_period
required
string
metric_service
required
string format: uuid
operation
string format: uuid
nullable
operation_argument1_value
string
<= 20 characters
order
integer
>= -2147483648 <= 2147483647
promql_query
string
legend_template
string
<= 100 characters
min_value
number format: double
nullable
min_step
string
order
integer
>= -2147483648 <= 2147483647
title
string
<= 50 characters
unit
  • 0 - No unit
  • 1 - %
  • 2 - byte
  • 3 - bit
  • 4 - io/s
  • 5 - /s
  • 6 - second
  • 7 - Custom
  • 8 - day
  • 9 - °C
  • 10 - byte/s
  • 11 - bit/s
  • 12 - Hz
  • 13 - W
integer
>= -2147483648 <= 2147483647
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13
widgetannotations
Array<object>

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
account
required
string format: uuid
agent
string format: uuid
nullable
description
string
end_time
required
string format: date-time
id
required
string format: uuid
outage
boolean
start_time
required
string format: date-time
title
required
string
<= 100 characters
widget
required
string format: uuid
metricannotations
string
Media typeapplication/json

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
format
string
nullable <= 20 characters
custom_min_step
integer
nullable >= -2147483648 <= 2147483647
dashboard
required
string format: uuid
default_min_step
required
string
hideable
boolean
hidden
required
string
graph
  • 0 - Line Chart
  • 1 - Stacked Area Chart
  • 2 - Pie Chart
  • 3 - Gauge
  • 4 - Status History Chart
  • 5 - Metric Value
  • 6 - Status
  • 8 - Text
  • 9 - Image
  • 10 - Heatmap Status
  • 11 - Bar Chart
integer
>= -2147483648 <= 2147483647
Allowed values: 0 1 2 3 4 5 6 8 9 10 11
graph_subtype
  • 0 - Status Round
  • 1 - Status Smiley
  • 2 - Status Image
  • 100 - Heatmap with Value
  • 101 - Heatmap with Status
integer
nullable >= -2147483648 <= 2147483647
Allowed values: 0 1 2 100 101
grid_height
integer
>= -2147483648 <= 2147483647
grid_width
integer
>= -2147483648 <= 2147483647
grid_x
integer
>= -2147483648 <= 2147483647
grid_y
integer
>= -2147483648 <= 2147483647
id
required
string format: uuid
image
string format: uri
nullable
interval
  • 0 - 1h
  • 2 - 6h
  • 3 - 1d
  • 4 - 1w
  • 5 - 1m
  • 6 - 1y
integer
>= -2147483648 <= 2147483647
Allowed values: 0 2 3 4 5 6
max_value
number format: double
nullable
metrics
Array<object>

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
color
string
<= 6 characters
id
string format: uuid
nullable
metric
string format: uuid
nullable
metric_agent
required
string format: uuid
metric_description
required
string
metric_display_name
required
string
metric_item
required
string
metric_label
required
string
metric_labels
required
object
key
additional properties
string
metric_name
string
nullable <= 100 characters
metric_name_item
string
nullable <= 100 characters
metric_simple_mode_labels
string
nullable <= 1000 characters
metric_period
required
string
metric_service
required
string format: uuid
operation
string format: uuid
nullable
operation_argument1_value
string
<= 20 characters
order
integer
>= -2147483648 <= 2147483647
promql_query
string
legend_template
string
<= 100 characters
min_value
number format: double
nullable
min_step
required
string
order
integer
>= -2147483648 <= 2147483647
title
string
<= 50 characters
unit
  • 0 - No unit
  • 1 - %
  • 2 - byte
  • 3 - bit
  • 4 - io/s
  • 5 - /s
  • 6 - second
  • 7 - Custom
  • 8 - day
  • 9 - °C
  • 10 - byte/s
  • 11 - bit/s
  • 12 - Hz
  • 13 - W
integer
>= -2147483648 <= 2147483647
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13
widgetannotations
Array<object>

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
account
required
string format: uuid
agent
string format: uuid
nullable
description
string
end_time
required
string format: date-time
id
required
string format: uuid
outage
boolean
start_time
required
string format: date-time
title
required
string
<= 100 characters
widget
required
string format: uuid
metricannotations
required
string
Example
{
"graph": 0,
"graph_subtype": 0,
"interval": 0,
"unit": 0
}